nix3-config-show(1)

    Warning
    This program is experimental and its interface is subject to change.

Name

nix config show - show the Nix configuration or the value of a specific setting

Synopsis

nix config show [option…] name

Options

•   --json

    Produce output in JSON format, suitable for consumption by another program.

•   --no-pretty

    Print compact JSON output on a single line, even when the output is a terminal. Some commands may print multiple JSON objects on separate lines.

                See `--pretty`.

•   --pretty

    Print multi-line, indented JSON output for readability.

                Default: indent if output is to a terminal.
                This option is only effective when `--json` is also specified.

  Logging-related options

•   --debug

    Set the logging verbosity level to ‘debug’.

•   --log-format format

    Set the format of log output; one of raw, internal-json, bar or bar-with-logs.

•   --print-build-logs / -L

    Print full build logs on standard error.

•   --quiet

    Decrease the logging verbosity level.

•   --verbose / -v

    Increase the logging verbosity level.

  Miscellaneous global options

•   --help

    Show usage information.

•   --offline

    Disable substituters and consider all previously downloaded files up-to-date.

•   --option name value

    Set the Nix configuration setting name to value (overriding nix.conf).

•   --refresh

    Consider all previously downloaded files out-of-date.

•   --version

    Show version information.

    Note

    See man nix.conf for overriding configuration settings with command line flags.